# $Id: smeserver-lazy_admin_tools.spec,v 1.1 2012/05/26 23:11:09 slords Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse

Summary: Lazy Admin's Tools is a set of scripts to automate admin tasks
%define name smeserver-lazy_admin_tools
%define version 1.0
%define release 1%{?dist}
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tgz
License: GPL
Group: Networking/Tools
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base
Requires:  SMEServer >= 8.0
Obsoletes: e-smith-lazy_admin_tools
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
The Lazy Administrator's Tools is a set of scripts designed to automate
batch tasks and jobs for E-Smith/SME servers.
    * lat-user       : add/delete users
    * lat-group      : add/delete groups
    * lat pseudonyms : add/delete e-mail pseudonyms for individual users
    * lat-ibays      : add/delete ibays
    * lat-quota      : set the disk quota for individual users
    * lat-domains    : add domainnames the server
    * lat-hosts      : add hostnames to the server
    * lat-procmail   : activate or deactivate procmail for individual users
    * lat-pptp       : activate or deactivate pptp access for individual users
    * lat-dump       : create input files for the above lat-tools, based on the
                       configuration files of the SME servers.

See man lat-tools for general help on the usage of the toolkit, or run the
command with the --help switch to get specific help.

%changelog
* Sat May 26 2012 JP PIALASSE tests@pialasse.com  1.0-1.sme
- Initial version

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

